jQuery(document).ready(function() {
	var textReplacementWrapper = jQuery("#addTextReplacementInputsWrapper");
	var addTextReplacementButton = jQuery('#addTextReplacementButton');

	updateAddTextReplacementButton();

	jQuery(document).on('click', '#addTextReplacementButton', function(event){
		event.preventDefault();
		if (jQuery(textReplacementWrapper).find('.textReplaced').length < USER_TEXT_REPLACEMENT_LIMIT) {
			jQuery(textReplacementWrapper).append('<div><input type="text" maxlength="64" class="textReplaced" name="textReplaced[]" placeholder="' + WCF.Language.get('wcf.textReplacement.stringToReplace') + '"/> <input type="text" maxlength="64" class="textReplacement" name="textReplacements[]" placeholder="' + WCF.Language.get('wcf.textReplacement.stringToReplaceWith') + '"/><a href="#" class="removeField jsTooltip" title="' + WCF.Language.get('wcf.textReplacement.removeTextReplacement') + '"><span class="icon icon16 fa-remove jsDeleteOption pointerh"></span></a></div>');
		}
		updateAddTextReplacementButton();
	});

	jQuery(textReplacementWrapper).on("click",".removeField", function(event){
		event.preventDefault();
		jQuery(this).parent('div').remove();
		updateAddTextReplacementButton();
	});

	function updateAddTextReplacementButton() {
		if (jQuery(textReplacementWrapper).find('.textReplaced').length < USER_TEXT_REPLACEMENT_LIMIT) {
			jQuery(addTextReplacementButton).find('.fa-plus').attr('style', '').attr('title', '');
		} else {
			jQuery(addTextReplacementButton).find('.fa-plus').attr('style', 'cursor: not-allowed').attr('title', WCF.Language.get('wcf.textReplacement.userTextReplacementLimitReached'));
		}
	}
});